Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1159740 - thinly-provisioned fail to work for windows guest in Q35 machine type
Summary: thinly-provisioned fail to work for windows guest in Q35 machine type
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1056408
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 08:53 UTC by Sibiao Luo
Modified: 2014-12-23 08:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1056408
Environment:
Last Closed: 2014-12-23 08:05:26 UTC


Attachments (Terms of Use)

Comment 1 Sibiao Luo 2014-11-03 09:01:03 UTC
host info:
# uname -r && rpm -q qemu-kvm-rhev
3.10.0-191.el7.x86_64
qemu-kvm-rhev-2.1.2-5.el7.x86_64

e.g:# /usr/libexec/qemu-kvm -M q35 -cpu SandyBridge -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -no-kvm-pit-reinjection...-drive file=/dev/sdc,if=none,id=drive-data-disk,format=raw,cache=none,aio=native,werror=stop,rerror=stop,discard=on -device virtio-scsi-pci,id=scsi1,bus=pcie.0,addr=0x7 -device scsi-hd,drive=drive-data-disk,id=data-disk,bus=scsi1.0

after copy a file into the disk to take up the space in guest
host ]# cat /sys/bus/pseudo/drivers/scsi_debug/map
0,128-967,2432-2439,2944-2984,2992-2996,3000-3034,3040-3315,3320-3336,3344-3348,3352-3386,3392-3667,3672-3688,3696-3700,3704-3738,3744-4019,4024-4040,4048-4052,4056-4090,4096-4371,4840-11039,14335

after remove the file in guest.
host ]# cat /sys/bus/pseudo/drivers/scsi_debug/map
0,128-967,2432-2439,2944-2984,2992-2996,3000-3034,3040-3315,3320-3336,3344-3348,3352-3386,3392-3667,3672-3688,3696-3700,3704-3738,3744-4019,4024-4040,4048-4052,4056-4090,4096-4371,4840-11039,14335

after use the the 'Windows Optimize Drives Utility'("disk management"--->"Properties"--->"tool"--->"disk defragementation").
host ]# cat /sys/bus/pseudo/drivers/scsi_debug/map
0,128-967,2432-2439,2944-2984,2992-2996,3000-3034,3040-3315,3320-3336,3344-3348,3352-3386,3392-3667,3672-3688,3696-3700,3704-3738,3744-4019,4024-4040,4048-4052,4056-4090,4096-4371,4840-11039,14335

Best Regards,
sluo

Comment 2 Paolo Bonzini 2014-11-07 15:19:12 UTC
Probably unrelated to PC vs. Q35, but in any case moving this one to 7.2.  The PC/qemu-kvm-rhev bug remains on 7.1.


Note You need to log in before you can comment on or make changes to this bug.